import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { Lending } from "./lending.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class LendingService extends TypeOrmCrudService<Lending> {
    readonly repo: Repository<Lending>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<Lending>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Lending>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Lending[]>;
    createOneBy(params: DeepPartial<Lending>, manager?: EntityManager): Promise<Lending>;
    createAllBy(params: DeepPartial<Lending>[], manager?: EntityManager): Promise<Lending[]>;
    createAllIfNotExistBy(params: DeepPartial<Lending>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof Lending]?: any | FindOperator<Lending[K]>;
    }, set: {
        [K in keyof Lending]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
