import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { TokenCoinGeckoDataHistory } from "./token-coin-gecko-data-history.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class TokenCoinGeckoDataHistoryService extends TypeOrmCrudService<TokenCoinGeckoDataHistory> {
    readonly repo: Repository<TokenCoinGeckoDataHistory>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<TokenCoinGeckoDataHistory>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinGeckoDataHistory>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinGeckoDataHistory[]>;
    createOneBy(params: DeepPartial<TokenCoinGeckoDataHistory>, manager?: EntityManager): Promise<TokenCoinGeckoDataHistory>;
    createAllBy(params: DeepPartial<TokenCoinGeckoDataHistory>[], manager?: EntityManager): Promise<TokenCoinGeckoDataHistory[]>;
    createAllIfNotExistBy(params: DeepPartial<TokenCoinGeckoDataHistory>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof TokenCoinGeckoDataHistory]?: any | FindOperator<TokenCoinGeckoDataHistory[K]>;
    }, set: {
        [K in keyof TokenCoinGeckoDataHistory]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
