import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
import { NFTokenMarketplace } from "./nf-token-marketplace.entity";
export declare class NFTokenMarketPlaceService extends TypeOrmCrudService<NFTokenMarketplace> {
    readonly repo: Repository<NFTokenMarketplace>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<NFTokenMarketplace>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFTokenMarketplace>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFTokenMarketplace[]>;
    createOneBy(params: DeepPartial<NFTokenMarketplace>, manager?: EntityManager): Promise<NFTokenMarketplace>;
    createAllBy(params: DeepPartial<NFTokenMarketplace>[], manager?: EntityManager): Promise<NFTokenMarketplace[]>;
    createAllIfNotExistBy(params: DeepPartial<NFTokenMarketplace>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof NFTokenMarketplace]?: any | FindOperator<NFTokenMarketplace[K]>;
    }, set: {
        [K in keyof NFTokenMarketplace]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
